Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.sci
Class SciPage

    java.lang.Object
      com.plumtree.remote.sci.SciPage

All Implemented Interfaces:
  com.plumtree.remote.sci.ISciPage

public class SciPage
extends java.lang.Object
implements com.plumtree.remote.sci.ISciPage

Represents a SCI page to which controls can be added.

Constructor Summary
`SciPage()` Default constructor

Method Summary
`void` | `add(ISciElement control)` Adds a `SciControl` to the page (text, select, password, label, radio, checkbox, or tree).
`void` | `saveToFile(java.lang.String fileName)` Saves this page to a file for debugging.
`java.lang.String` | `toString()` Writes the page to a string for debugging.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SciPage

    public SciPage()

  Default constructor

See Also:
  `Object.Object()`

Method Detail

### add

    public void add(ISciElement control)

  Adds a `SciControl` to the page (text, select, password, label, radio, checkbox, or tree).

  Specified by:
    `add` in interface `com.plumtree.remote.sci.ISciPage`
  Parameters:
    `control` - the `ISciElement` for any type of control (text, select, password, label, radio, checkbox, or tree)
  See Also:
    `ISciPage.add(ISciElement)`

### saveToFile

    public void saveToFile(java.lang.String fileName)

  Saves this page to a file for debugging.

  Specified by:
    `saveToFile` in interface `com.plumtree.remote.sci.ISciPage`
  Parameters:
    `fileName` - a valid filename
  See Also:
    `ISciPage.saveToFile(String)`

### toString

    public java.lang.String toString()

  Writes the page to a string for debugging.

  See Also:
    `Object.toString()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.